
/**************************************
	Webutler V3.1 - www.webutler.de
	Copyright (c) 2008 - 2015
	Autor: Sven Zinke
	Free for any use
	Lizenz: GPL
**************************************/

( function() {
	CKEDITOR.plugins.add( 'gridelements', {
		requires: 'dialog',
		
		lang : [CKEDITOR.lang.detect(CKEDITOR.config.language)],
		icons: 'gridelements,gridelements-rtl',
		hidpi: true,
		
		init: function( editor ) {
			CKEDITOR.scriptLoader.load( CKEDITOR.getUrl( this.path + 'dialogs/loadgrids.php' ) );
			CKEDITOR.dialog.add( 'gridelements', CKEDITOR.getUrl( this.path + 'dialogs/gridelements.js' ) );

			editor.addCommand( 'gridelements', new CKEDITOR.dialogCommand( 'gridelements' ) );

			editor.ui.addButton && editor.ui.addButton( 'GridElements',
			{
				label : editor.lang.gridelements.title,
				command : 'gridelements'
			});
		}
	});
})();


